aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/0
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/ebuild/0')
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_init.bash12
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_initmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_initrm.bash8
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_killold.bash6
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash6
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_killoldrm.bash6
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_tidyup.bash10
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash10
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash10
9 files changed, 38 insertions, 38 deletions
diff --git a/paludis/repositories/e/ebuild/0/builtin_init.bash b/paludis/repositories/e/ebuild/0/builtin_init.bash
index 0dea0e28a..daa921f3c 100644
--- a/paludis/repositories/e/ebuild/0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_init.bash
@@ -53,24 +53,24 @@ builtin_init()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
fi
- export WORKDIR="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}/work"
+ export WORKDIR="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/work"
mkdir -p "${WORKDIR}" || die "Couldn't create \$WORKDIR (\"${WORKDIR}\")"
declare -r WORKDIR="${WORKDIR}"
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
export TMPDIR="${T}"
- export D="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}/image/"
+ export D="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/image/"
export D="${D//+(\/)//}"
mkdir -p "${D}" || die "Couldn't create \$D (\"${D}\")"
declare -r D="${D}"
diff --git a/paludis/repositories/e/ebuild/0/builtin_initmisc.bash b/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
index 2386de8ae..d7e3da053 100644
--- a/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
@@ -53,14 +53,14 @@ builtin_initmisc()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
diff --git a/paludis/repositories/e/ebuild/0/builtin_initrm.bash b/paludis/repositories/e/ebuild/0/builtin_initrm.bash
index ca137613b..cb7e45e39 100644
--- a/paludis/repositories/e/ebuild/0/builtin_initrm.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_initrm.bash
@@ -53,14 +53,14 @@ builtin_initrm()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
diff --git a/paludis/repositories/e/ebuild/0/builtin_killold.bash b/paludis/repositories/e/ebuild/0/builtin_killold.bash
index 2fec908cb..8532b8545 100644
--- a/paludis/repositories/e/ebuild/0/builtin_killold.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_killold.bash
@@ -23,11 +23,11 @@ builtin_killold()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash b/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash
index 55623af85..f56e98f20 100644
--- a/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash
@@ -23,11 +23,11 @@ builtin_killoldmisc()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_killoldrm.bash b/paludis/repositories/e/ebuild/0/builtin_killoldrm.bash
index 555ac943d..473162816 100644
--- a/paludis/repositories/e/ebuild/0/builtin_killoldrm.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_killoldrm.bash
@@ -23,11 +23,11 @@ builtin_killoldrm()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_tidyup.bash b/paludis/repositories/e/ebuild/0/builtin_tidyup.bash
index 445c3b344..0336939d3 100644
--- a/paludis/repositories/e/ebuild/0/builtin_tidyup.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_tidyup.bash
@@ -18,13 +18,13 @@
builtin_tidyup()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash b/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash
index 3e47aa7dd..054d1c8c4 100644
--- a/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash
@@ -18,13 +18,13 @@
builtin_tidyupmisc()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash b/paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash
index a282d34c6..82408b0c9 100644
--- a/paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash
@@ -18,13 +18,13 @@
builtin_tidyuprm()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove work"
fi
}